<div fxLayout="row">
  <div class="row" fxFlex="80" fxFlexOffset="10">

    <!-- ============================================= TaskType Selection ============================================ -->
    <raamCard *ngIf="taskTypes" title="Task Types" fxFlexOffset="1" fxFlex="25">
      <div fxLayout="column" fxFlex="grow" [style.height]="'45vh'">
        <div fxLayout="column" [style.height]="'20vh'">

          <raamInput title="Name" [value]="name" (valueChange)="name = $event"></raamInput>

          <div fxLayout="row" fxLayoutAlign="space-between end">
            <raamInput title="Color" [value]="color" (valueChange)="color = $event" fxFlex></raamInput>
            <raamColor fxFlex="11" fxFlexOffset="1" [color]="color"></raamColor>
          </div>

          <div fxLayout="row" fxLayoutAlign="space-between end" fxFlexOffset="1">
            <raamSwitch label="can link file" [value]="canLinkFile" (valueChange)="canLinkFile = $event"
                        fxFlexOffset="20"></raamSwitch>
            <button class="btn btn-success" (click)="postOneTaskType()">
              <span class="fa fa-plus"></span>
            </button>
          </div>

          <raamHeadline title=" " fxFlexOffset="2"></raamHeadline>
        </div>

        <div class="rollHolder" fxLayout="column" [style.height]="'25vh'">
          <div *ngFor="let taskType of taskTypes" fxLayout="row" fxLayoutAlign="start end">
            <raamSwitch [value]="true" [label]="taskType.name" [color]="taskType.color" fxFlex="60"></raamSwitch>
            <button class="btn btn-sm btn-secondary" (click)="displayTaskType = taskType">
              <span class="fa fa-arrow-right"></span>
            </button>
          </div>
          <div *ngIf="taskTypes.length === 0" fxFlex="grow" fxLayout="column" fxLayoutAlign="center center">
            <button class="btn btn-outline-primary" (click)="defaultTaskTypesModal.open()">create default</button>
          </div>
        </div>
      </div>
    </raamCard>

    <!-- ============================================= TaskType Edit ============================================ -->
    <raamCard *ngIf="displayTaskType" title="Edit" fxFlexOffset="20" fxFlex="25">
      <div fxLayout="column" fxFlex="grow">
        <div fxLayout="column">
          <raamInput title="Name" [value]="displayTaskType.name"
                     (valueChange)="displayTaskType.name = $event"></raamInput>

          <div fxLayout="row" fxLayoutAlign="space-between end">
            <raamInput title="Color" [value]="displayTaskType.color" (valueChange)="displayTaskType.color = $event"
                       fxFlex></raamInput>
            <raamColor fxFlex="11" fxFlexOffset="1" [color]="displayTaskType.color"></raamColor>
          </div>

          <div fxLayout="row" fxLayoutAlign="space-between end" fxFlexOffset="1">
            <raamSwitch label="can link file" [value]="displayTaskType.canLinkFile"
                        (valueChange)="displayTaskType.canLinkFile = $event" fxFlexOffset="20"></raamSwitch>
            <button class="btn btn-success" (click)="putOneTaskType()" fxFlex="20">Save</button>
          </div>
        </div>
      </div>
    </raamCard>

  </div>
</div>

<defaultTaskTypesModal #defaultTaskTypesModal (finished)="getAllTaskTypes()"></defaultTaskTypesModal>
